[arch-commits] Commit in boost/trunk (PKGBUILD serialization_fix.patch)

Ionut Biru ibiru at archlinux.org
Thu Dec 17 23:00:49 UTC 2009


    Date: Thursday, December 17, 2009 @ 18:00:49
  Author: ibiru
Revision: 61523

upgpkg: boost 1.41.0-2
    FS#17499 fix serialization regression

Added:
  boost/trunk/serialization_fix.patch
Modified:
  boost/trunk/PKGBUILD

-------------------------+
 PKGBUILD                |    9 ++++++---
 serialization_fix.patch |   12 ++++++++++++
 2 files changed, 18 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-17 21:07:28 UTC (rev 61522)
+++ PKGBUILD	2009-12-17 23:00:49 UTC (rev 61523)
@@ -7,7 +7,7 @@
 pkgname=boost
 pkgver=1.41.0
 _boostver=1_41_0
-pkgrel=1.1
+pkgrel=2
 pkgdesc="Free peer-reviewed portable C++ source libraries"
 arch=('i686' 'x86_64')
 url="http://www.boost.org/"
@@ -15,13 +15,15 @@
 makedepends=('python>=2.6')
 optdepends=('python: for python bindings')
 source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz
-	fix-gzip-crc.patch)
+	fix-gzip-crc.patch
+	serialization_fix.patch)
 license=('custom')
 options=(!ccache)
 
 build() {
   cd "${srcdir}/${pkgname}_${_boostver}"
   patch -Np1 -i $srcdir/fix-gzip-crc.patch || return 1
+  patch -Np1 -i $srcdir/serialization_fix.patch || return 1
 
   # build bjam
   cd ${srcdir}/${pkgname}_${_boostver}/tools/jam/src
@@ -67,4 +69,5 @@
                 ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
 md5sums=('ddb04c9b9164a36a91dcf36819666dd9'
-         '682f124a765b2935c7352f38c08848cc')
+         '682f124a765b2935c7352f38c08848cc'
+         '01337211d40a4a4c9b83c481baade701')

Added: serialization_fix.patch
===================================================================
--- serialization_fix.patch	                        (rev 0)
+++ serialization_fix.patch	2009-12-17 23:00:49 UTC (rev 61523)
@@ -0,0 +1,12 @@
+diff -Nur boost_1_41_0.old/boost/archive/shared_ptr_helper.hpp boost_1_41_0/boost/archive/shared_ptr_helper.hpp
+--- boost_1_41_0.old/boost/archive/shared_ptr_helper.hpp	2009-09-20 05:18:42.000000000 +0300
++++ boost_1_41_0/boost/archive/shared_ptr_helper.hpp	2009-12-17 22:20:48.666281335 +0200
+@@ -108,7 +108,7 @@
+     struct non_polymorphic {
+         static const boost::serialization::extended_type_info * 
+         get_object_identifier(T & t){
+-            return boost::serialization::singleton<
++            return & boost::serialization::singleton<
+                 BOOST_DEDUCED_TYPENAME 
+                 boost::serialization::type_info_implementation<T>::type
+             >::get_const_instance();




More information about the arch-commits mailing list